RevocationAPI Reference
Status update
Update Semantic CWT credential status
POST
Updates the credential status as revoked (invalid) or unrevoked (valid).
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_STARTCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_FAIL
bearerAuthheader
AuthorizationBearer <token>id*stringUnique credential identifier (jti)
Update revocation status
application/json- body
isRevoked*booleanWhen set to true the credential will be revoked. When set to false, the credential will be unrevoked.
Revocation status updated
application/json- response
id*stringUnique credential identifier.
isRevoked*booleanIndicates whether the credential has been revoked (true) or not (false).
curl -X POST "https://example.com/v2/credentials/compact-semantic/string/revocation-status" \ -H "Content-Type: application/json" \ -d '{ "isRevoked": true }'{ "id": "string", "isRevoked": true}Retrieve Semantic CWT credential status
GET
Retrieve the revocation status of a Semantic CWT credential by providing its ID.
Roles
adminissuermanaged-issuer
bearerAuthheader
AuthorizationBearer <token>id*stringUnique credential identifier (jti)
Revocation status retrieved
application/json- response
isRevoked*booleanIndicates whether the credential has been revoked (true) or not (false).
curl -X GET "https://example.com/v2/credentials/compact-semantic/string/revocation-status"{ "isRevoked": true}How would you rate this page?
Last updated on